MONGOOP
=======
  
User Stories
------------  
User can require module to start using it:  
```javascript
  const mongoop = require('mongoop')
```  
    
User can pass in a uri to start a db connection:  
```javascript
  const dbUri = process.env.MONGODB_URI
  const db = mongoop(dbUri)
```
    
User can define schema(s):  
```javascript
  const userSchema = {
    username: {
      type: String,
      required: true,
      index: {
        unique: true
      }
    }
  }
```  
    
User defines collection(s) (an array passed in for multiple collections);  
hooks and plugins are defined in object defining the collection:  
```javascript
  const updatePlugin = require('./updatePlugin')  

  db.collections({
    model: 'Users',
    schema: usersSchema,
    hooks: [
      [ 'pre', 'save', function (next) {
          this.username = this.username.toUpperCase()
          next()
        }
      ]
    ],
    plugins: [ [ updatePlugin, { date: new Date } ] ] // pass in plugin and plugin options
  })
```
    
User can use operations for each collection created:  
```javascript
  db['Users'].operations.read('findone', { username: 'Joe' }, (err, returnValue) => {
    console.log(err || returnValue)
  })
```  

